/* CSS Document */
/* helper classes */
.noHTMLTextArea {
    width: 894px;
    padding: 6px 12px;
    min-height: 105px;
}

.noHTMLTextAreaStandards {
    width: 100%;
    padding: 6px 12px;
}

.noHTMLTextAreaStrength {
    width: 700px;
    padding: 6px 12px;
    min-height: 105px;
    vertical-align: middle;
}

.noHTMLTextArea:focus, .noHTMLTextAreaStrength:focus, .noHTMLTextAreaStandards:focus {
   border-color: #66afe9 !important;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6) !important;
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6) !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6) !important;
    overflow: hidden;
}

.ui-grid-cell[aria-selected="true"] {
    outline: 1px dotted #212121;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

.inline-block {
    display: inline-block;
}

.font-weight-normal {
    font-weight: normal;
}

.padding-left-20 {
    padding-left: 20px;
}

.padding-right-20 {
    padding-right: 20px;
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-top-25 {
    margin-top: 25px !important;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.margin-bottom-10 {
    margin-bottom: 10px;
}

.border-top {
    border-top: 1px solid #eee;
}

.border-bottom {
    border-bottom: 1px solid #eee;
}
/* styles for survey select list */

.list-group.list-group-root {
    padding: 0;
    overflow: hidden;
}


    .list-group.list-group-root .list-group {
        margin-bottom: 0;
    }

    .list-group.list-group-root .list-group-item {
        border-radius: 0;
        border-width: 1px 0 0 0;
        cursor: pointer;
    }

    .list-group.list-group-root > .list-group-item:first-child {
        border-top-width: 0;
    }

.list-group-item {
    padding-left: 5px;
}

.list-group.list-group-root > div > .list-group > .list-group-item {
    padding-left: 45px;
}

.list-group-item .glyphicon {
    margin-right: 5px;
}

.modal-icon {
    width: 75px;
    height: 50px;
    font-size: 4em;
    text-align: center;
}

.modal-lg .modal-icon {
    width: 100px;
    font-size: 4em;
}

.modal-details {
    padding-bottom: 20px;
}

.list-group-item > .col-sm-1, .list-group-item > .col-sm-10 {
    padding-left: 5px;
}

.list-group-item.active .glyphicon {
    color: #fff;
}

#list-survey-sections ul {
    margin: 0;
    padding-left: 0;
}

.survey-level01 {
    margin-left: 0;
}

.survey-level02 {
    margin-left: 20px;
}

.survey-level03 {
    margin-left: 40px;
}

.survey-level04 {
    margin-left: 60px;
}

.survey-level05 {
    margin-left: 80px;
}

.active .badge {
    background-color: #fff;
    color: #757575;
    background-image: none;
}

.container .main-content {
    width: 1100px;
}

.page-margin {
    width: auto;
}

/* end select list */

.larger {
    font-size: 24px;
}


/* enhancing / overriding bootstrap style */
h1 {
    font-size: 24px;
}

h2 {
    font-size: 20px;
}

h3 {
    font-size: 18px;
}

h4 {
    font-size: 16px;
}

h5 {
    font-size: 14px;
}

body, p, a, ui, li, .btn, .form-control, .pop-up-text {
    font-size: 13px;
}

.container {
    padding-bottom: 15px;
}

/* WCAG 2.0 */
h1, h2, h3, h4, h5, h6 {
    color: #2D749F;
}

a {
    color: #1377AE;
}

.text-muted {
    color: #757575;
    margin: 0px !important;
}

.btn-link {
    color: #147DB8;
}

.breadcrumb > .active {
    color: #707070;
}

.list-group-item.active, .badge {
    background-image: linear-gradient(#54b4eb, #2fa4e7 60%, #1d9ce5);
    background-repeat: no-repeat;
}

h1 small, h2 small, h3 small, h4 small, h5 small, h6 small {
    color: #707070;
}

/* END WCAG 2.0 */

/* Home Page */

.announcement {
    font-size: 16px;
}
/* End Home Page*/

h1, .h1, h2, .h2, h3, .h3 {
    margin-bottom: 10px;
    margin-top: 10px;
}

label.search-label {
    margin-top: 7px;
}

h3.section-header {
    margin-top: 0;
}

.clickable-row {
    cursor: pointer;
}


.text-white, a.text-white:hover, a.text-white:visited, a.text-white:focus {
    color: #ffffff;
}

.navbar .btn-link {
    padding: 3px 15px 3px 15px;
    margin: 2px 0 2px 0;
}

.btn-link:hover, .btn-link:focus {
    text-decoration: none;
    border: 1px solid rgba(255, 255, 255, .5);
    border-radius: 3px;
}

.text-right.btn-group {
    text-align: right;
}

div.list-group-item:focus, div.list-group-item:hover, li.list-group-item:focus, li.list-group-item:hover {
    background-color: #f5f5f5;
    color: #555;
    text-decoration: none;
}

.navbar-secondary .navbar-text {
    color: #fff;
    margin: 5px 15px 5px 0;
}

.navbar-secondary #icon-online-status.online {
    color: #33cc33;
}

.navbar-secondary #icon-online-status.offline {
    color: #ff0000;
}

.well h2 {
    margin-top: 0;
    margin-bottom: 0;
}

span.form-control-static {
    margin: 0 20px 0 5px;
}

.well.stem-unrateable, .well.stem-rateable {
    margin-bottom: 5px;
}

.stem-rateable .row {
    margin-bottom: 10px;
}

.stem-rateable .well {
    padding-bottom: 0;
    margin-bottom: 0;
}

    .stem-rateable .well .row:last-child {
        margin-bottom: 0;
        padding-bottom: 0;
    }

    .stem-rateable .well .row .form-group:last-child {
        margin-bottom: 5px;
        padding-bottom: 0;
    }

#panel-filter .form-group {
    margin-left: 0;
    margin-right: 0;
}

    #panel-filter .form-group p.instruction, #panel-filter h4 {
        margin: 0;
        padding: 0;
    }

.more-detail-panel .row {
    margin: 0;
    padding: 0;
}

.more-detail-panel .panel {
    margin-right: 10px;
    height: 75px;
}

.more-detail-panel .summary-panel {
    padding-left: 5px;
    padding-right: 5px;
}

.discrepancy-status {
    background-color: #000;
    color: #fff;
    font-weight: bold;
    height: 30px;
    width: 30px;
    padding-right: 0;
    padding-left: 0;
    margin-right: 10px;
    line-height: 15px;
}

    .discrepancy-status:hover, .descrepancy-status:focus {
        color: #f2f2f2;
        border: 1px solid #000;
    }

.ds-D {
    background-color: #c00;
    border-color: #c00;
}

.ds-OR {
    background-color: #e68a00;
    border-color: #e68a00;
}

.ds-R {
    background-color: #009933;
    border-color: #009933;
}

.summary-number {
    font-size: 28px;
    padding-left: 0;
    padding-right: 0;
    padding-top: 10px;
    line-height: 1;
}

.summary-details {
    font-size: 11px;
    padding-left: 0;
    padding-right: 0;
}

/* Rating Buttons */
.item-rate-0.active, .item-rate-0.active:focus, .item-rate-0.active:hover, .rating-read-only.rating-0 {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.item-rate-1.active, .item-rate-1.active:focus, .item-rate-1.active:hover, .rating-read-only.rating-1 {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

.item-rate-2.active, .item-rate-2.active:focus, .item-rate-2.active:hover, .rating-read-only.rating-2 {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #bce8f1;
}

.item-rate-3.active, .item-rate-3.active:focus, .item-rate-3.active:hover, .rating-read-only.rating-3 {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

.item-rate-NA.active, .item-rate-NA.active:focus, .item-rate-NA.active:hover, .rating-read-only.rating-NA {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #bce8f1;
}

.item-rate-U.active, .item-rate-U.active:focus, .item-rate-U.active:hover, .rating-read-only.rating-U {
    color: #777777;
    background-color: #f2f2f2;
    border-color: #777777;
}

.rating-read-only {
    width: 25px;
    height: 25px;
    text-align: center;
    font-weight: bold;
    display: inline-block;
    line-height: 25px;
}

.opacityRow {
    background-color: rgba(49, 37, 37, 0.3);
    border-radius: 6px;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    position: fixed;
    content: " ";
}

/* summary table */
.summary-table tbody th {
    text-align: right;
}

.summary-table tbody tr th:first-child {
    border-right: 1px solid #ccc;
}

.summary-table tbody tr td, .summary-table thead tr th {
    text-align: center;
}

.panel .summary-table {
    margin: 15px;
}

.readOnlyTextBox {
    padding: 12px;
}

#form-strengths .form-group {
    width: 100%;
    margin-bottom: 10px;
}

#form-strengths .form-inline .form-control {
    width: 100%;
}

.strengthAngularText {
    display: inline-block;
    width: 700px;
}

button.add-field {
    margin-left: 20px;
}

.popover {
    max-width: 100%; /* Max Width of the popover (depending on the container!) */
}

#section-top-panel {
    z-index: 100;
    background-color: #fff;
    width: 705px;
}

.section-top-panel {
    z-index: 100;
    background-color: #fff;
}

/* media queries */
/*@media (max-width:767px) {
    body {
        padding-top: 150px;
    }
}*/

/*@media (min-width:767px) {
    .affix {
        width: 535px;
    }    
}*/

/*@media (min-width:992px) {
    .affix {
        width: 698px;
    }
}*/

/*@media (min-width:1200px) {
    .affix {
        width: 830px;
    }*/

}

/*@media (min-width:1201px) {
    .affix {
        width: 848px;
    }
}*/

@media all {
    div.page-break {
        display: block;
        page-break-before: always;
        page-break-inside: avoid;
        position: relative;
        float: none !important;
    }
}

@media print {

    table {
        float: none !important;
    }

    div {
        float: none !important;
    }

        div.page-break {
            page-break-before: always;
            page-break-inside: avoid;
        }

        div.float {
            float: none;
            position: relative;
        }
}

@media screen and (-ms-high-contrast: active) {
    .header-logo {
        background: transparent url('../images/eChecklistLogo.png') no-repeat 0 0;
        width: 153px;
        height: 25px;
        text-align: left;
        overflow: hidden;
        margin-top: 10.5px;
        margin-left: 5px;
    }
}


/* Custom CSS for Skip link visibility */
.hideSkipLink {
    display: none;
}

.showSkipLink:focus .hideSkipLink {
    display: block;
    color: white;
    position: relative;
    z-index: 1;
}


.highlighted {
    font-weight: bold;
}

.showHand {
    cursor: pointer;
}

.padding-top-10 {
    padding-top: 10px;
}

.home-top {
    width: 100%;
    margin-left: 15px;
    margin-top: -40px;
    margin-right: 15px;
}


/*Exit Notes*/
div.exitNotes {
    margin: -60px 50px 50px 50px;
    font-family: Arial;
    color: black;
}

div.exitNotes {
    margin: -60px 50px 50px 50px;
    font-family: Arial;
    color: black;
    margin-left: 29px;
    margin-right: 20px;
}

.stdStackHeading {
    font-family: Arial;
    color: black;
    font-weight: bold;
    text-decoration: underline;
}

div.exitNotes h1 {
    font-family: Arial;
    font-size: 20pt;
    font-weight: bold;
    font-style: italic;
    text-align: center;
    color: black;
}

div.exitNotes h2 {
    font-family: Arial;
    color: red;
    font-size: 20pt;
    font-weight: bold;
    font-style: italic;
    margin-top: 15px;
    margin-bottom: 25px;
}

    div.exitNotes h2 li {
        font-family: Arial;
        color: red;
        font-size: 20pt;
        font-weight: bold;
        font-style: italic;
    }

div.exitNotes h3 {
    font-family: Arial;
    font-size: 16pt;
    font-weight: bold;
    margin-top: 25px;
    color: black;
}

div.exitNotes h4 {
    font-family: Arial;
    font-size: 14pt;
    font-weight: bold;
    color: black;
    margin-top: 15px;
}

.exitNotes-comments p {
    padding-bottom: 6px;
}

@media print {
    div.stdStack {
        page-break-after: avoid;
        page-break-before: avoid;
        page-break-inside: avoid;
    }

    div.stdAvoidPagePreak {
        page-break-after: avoid;
        page-break-before: avoid;
        /*page-break-inside: avoid;*/
    }

    div.exitNotes h3 {
        page-break-before: always;
    }
}

.app-modal-window .modal-dialog {
    width: 800px;
}

/*report*/
report.dropdown {
    cursor: pointer;
}

.strengths {
    font-family: Arial;
    font-size: 16pt;
    font-weight: bold;
    margin-top: 25px;
    color: black;
}

.print {
    position: absolute !important;
}


@media all {
    div.page-break {
        display: block;
        page-break-before: always;
        page-break-inside: avoid;
        position: relative;
        float: none !important;
    }
}

@media print {

    html, body {
        height: auto;
    }

    div.page-break {
        display: block;
        page-break-before: always;
        page-break-inside: avoid;
        position: relative;
        float: none !important;
    }

    div.stdAvoidPagePreak {
        page-break-after: avoid;
        page-break-before: avoid;
        /*page-break-inside: avoid;*/
    }

    div.float {
        float: none;
        position: relative;
    }
}

.header-logo {
    background: transparent url('../images/eChecklistLogo.png') no-repeat 0 0;
    width: 153px;
    height: 25px;
    text-align: left;
    overflow: hidden;
    margin-top: 10.5px;
    margin-left: 5px;
}




.mininumheight {
    min-height: 50px;
}

.affix {
    top: 75px;
    position: fixed !important;
}

.popover.affix {
    top: 171px !important;
}

.popover.affix-top {
    top: 475px !important;
}

#section-top-panel {
    z-index: 999;
    background-color: #fff;
}

#list-survey-sections {
    width: 210px;
}

.ratingPanel {
    cursor: pointer !important;
}


textarea {
    resize: none !important;
}

.standard-inline {
    position: relative;
    display: inline-block;
    padding-left: 0px;
    margin-bottom: 0;
    font-weight: normal;
    vertical-align: middle;
    cursor: pointer;
}

.ReportViewerControl img[title$='ThemeAnalysisSec1'] {
    width: auto !important;
    height: auto !important;
}

.ReportViewerControl img[title$='ThemeAnalysisSec2'] {
    width: auto !important;
    height: auto !important;
}




/*grid changes*/
.ui-grid {
    border: 0px;
    border-bottom: 1px solid #d4d4d4;
    height: auto !important;
    overflow-anchor: none;
}

.ui-grid-row-hover {
    background-color: #f3f3f3;
}



.ui-grid-cell {
    border: 0px;
    overflow-anchor: none;
}

.ui-grid-header-cell {
    border: 0px;
    /*border-bottom: 1px solid #d4d4d4;*/
    padding: 0px;
    display: flex;
}

.ui-grid-icon-ok:before {
    content: '\c362';
    color: #2FA4E7;
}

.ui-grid-header-cell-row {
    display: flex;
    align-items: flex-end;
}

.ui-grid-cell-contents {
    white-space: normal;
    text-overflow: initial;
    overflow: initial;
}

.ui-grid-header-cell .ui-grid-cell-contents {
    cursor: default;
    white-space: normal !important;
    -ms-text-overflow: clip;
    -o-text-overflow: clip;
    text-overflow: clip;
    overflow-y: auto hidden !important;
    padding-right: 10px;
    word-wrap: break-word;
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    justify-content: flex-start;
    -webkit-box-align: flex-end;
    -webkit-flex-align: flex-end;
    -ms-flex-align: flex-end;
    -webkit-align-items: flex-end;
    align-items: flex-end;
}

.ui-grid-pinned-container.ui-grid-pinned-container-left .ui-grid-header-cell:last-child {
    border-right: none;
    border-width: 0px;
    /*border-bottom: 1px solid #d4d4d4;*/
}

.ui-grid-row .ui-grid-cell.ui-grid-row-header-cell {
    border-width: 1px;
    background-color: white;
}

.ui-grid-pinned-container.ui-grid-pinned-container-left .ui-grid-cell:last-child {
    border-right: none;
}

.ui-grid-cell {
    display: table-cell;
    /*height: auto !important;*/
    border-bottom: 1px solid #d4d4d4;
}


.applyElipses {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    padding-right: 10px;
    padding-top: 5px;
}

.applyPaddingToGridHeader {
    padding: 0px;
}


.scrollToTop {
    width: 100px;
    height: 100px;
    text-align: center;
    background: whiteSmoke;
    font-weight: bold;
    color: #444;
    text-decoration: none;
    position: fixed;
    bottom: 3%;
    left: 15%;
    display: none;
    z-index: 1000;
    background: url(../../../Content/images/UpArrow7.png) no-repeat;
}


@media screen and (-ms-high-contrast: active) {
    .scrollToTop {
        width: 100px;
        height: 100px;
        text-align: center;
        background: whiteSmoke;
        font-weight: bold;
        color: #444;
        text-decoration: none;
        position: fixed;
        bottom: 0%;
        left: 15%;
        display: none;
        z-index: 1000;
        background: url(../../../Content/images/UpArrow7.png) no-repeat;
    }
}


.scrollToTop:hover {
    text-decoration: none;
}
